Plugins

Micheal's Avatar

Micheal

17 Mar, 2014 03:19 PM

I would just like to inform you that I adore your browser, however being forced to not use plugins on newer versions of TenFourFox than 17 because your company thinks its best is bologna . Its not your call to make, its the consumers.

Therefor I run version 17 only with all plugins enabled so I don't have to deal with workarounds. My quad G5 handles HD YouTube great.

I strongly wish you would give an option in the background to enable plugins again on v24+.

-Micheal

  1. Support Staff 1 Posted by Chris (chtrusch... on 17 Mar, 2014 04:55 PM

    Chris (chtrusch)'s Avatar

    Michael, first, we're not a company. We're just a few people (actually, one, plus a few 0.somethings) who do this in their spare time. We don't have any "consumers" because nobody pays for this browser.

    Second, there is no background option to enable plugins in 24, so we can't give you one. Personally, I don't like this either, but that's the way it is. This has technical reasons and security reasons, both of which we aren't responsible for. Neither Mozilla, nor Adobe or Apple care much for the people using PPC Macs. Mozilla stopped supporting old plugin code, and plugin vendors don't update their plugins anymore for PPC.

    The plugins you're using in 17 technically can't work in 24. They were written years ago for a different plugin architecture and are now full of security holes and partly nonfunctional anyway. There is no way to stay current at html and css and use plugins for PPC Macs anymore, sorry.

    If you can't live without plugins and are aware of the security risks, stay at TFF 17 as long as it's able to display modern websites properly, after that you're out of options on your G5.

    Please also read this:
    http://code.google.com/p/tenfourfox/wiki/ReleaseNotes2430
    http://code.google.com/p/tenfourfox/wiki/PluginsNoLongerSupported

  2. 2 Posted by Luigi on 28 May, 2014 07:52 AM

    Luigi's Avatar

    Hi , thank you for make this great bowser run on my quad g5 ,
    just a little info ? why not make and integration of Gnash flash player like on Mozilla under linux or on Odyssey on morphos?
    i have tested it on Debian Wheezy 7.5 and is working good there with a 720p video play and less cpu use compared Html5 player
    In any way thank you very much!

  3. Support Staff 3 Posted by Cameron Kaiser on 28 May, 2014 02:37 PM

    Cameron Kaiser's Avatar

    There are two problems:

    • Near as I can determine, no one has done the work to make Gnash run as an NPAPI plugin on OS X. This is not trivial, and not something I have time to do myself.
    • Mozilla has removed the QuickDraw and Carbon event model code, and the CoreGraphics/Cocoa event model code has not ever been used or tested in TenFourFox.

    If someone solves the first problem (you?) I will look at the feasibility of the second, but I couldn't make any promises, and it would be a very low priority. The highest priority is keeping the browser as current as possible and this consumes an awful lot of my time already.

  4. 4 Posted by luigi burdo on 28 May, 2014 03:07 PM

    luigi burdo's Avatar

    Hi Cameron ;)Im sorry i am a good user and not good in programming , just a little :P i can try to make this plugin but probably i will finish in 2035 D.C. :)
    I need to ask you another thing : Can Almos and Tobias from Euae jit project ask you an advice for make a better and optimized porting to G5 machine of the last Euae Jit ?They are in difficulties because look like there is something different from G4 and G5 in code and the 68k jit emulator become much more slower on the G5 compared with G4.Plus they need to know an advice for make a multi treading for multi core ppc machine .
    Thank you too muchLuigi Burdo

  5. Support Staff 5 Posted by Cameron Kaiser on 28 May, 2014 03:14 PM

    Cameron Kaiser's Avatar

    Tobias knows where to find me, though as a general answer to your question I don't know much about how the E-UAE JIT is constructed. I'm certainly willing to offer advice to specific questions but I use a real Amiga A4000T with an '060. Most likely the problem has to do with certain instructions that perform badly or not at all on the G5.

  6. 6 Posted by Luigi Burdo on 28 May, 2014 04:41 PM

    Luigi Burdo's Avatar

    Hi Cameron :)
    Wonderful, I dint know Tobias was in touch with you , who can immagine
    you have an amiga there ?
    And this make me happy because means you are a part of the family :)

    Thank you very much for all
    Luigi

    Il 28/05/14 17:14, Cameron Kaiser ha scritto:

  7. 7 Posted by Nemanja C. on 26 May, 2018 07:18 PM

    Nemanja C.'s Avatar

    I just wanted to say thank you for maintaining TFF!

Reply to this discussion

Internal reply

Formatting help / Preview (switch to plain text) No formatting (switch to Markdown)

Attaching KB article:

»

Attached Files

You can attach files up to 10MB

If you don't have an account yet, we need to confirm you're human and not a machine trying to post spam.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac

Recent Discussions

20 Jun, 2018 03:48 AM
14 Jun, 2018 01:37 AM
09 Jun, 2018 12:05 AM
07 Jun, 2018 12:19 AM
03 Jun, 2018 11:31 PM